---
lang: en
title: 'API docs: core.server.listening'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/core
permalink: /doc/en/lb4/apidocs.core.server.listening.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [Server](./core.server.md) &gt; [listening](./core.server.listening.md)

## Server.listening property

Tells whether the server is listening for connections or not

**Signature:**

```typescript
readonly listening: boolean;
```

